{% extends "layout/user.html" %}
{% block page_title %}Webs{% endblock %}
{% block title %}Webs{% endblock %}
{% block content %}
<div class="card row">
  <form>
    <div class="col s8 m10"><input type="text" name="search" placeholder="Buscar" value="{{search}}"></div>
    <div class="col s4 m2"><p><button class="btn blue"> <i class="fa fa-search"></i></button></p></div>
  </form>
  <div class="col s12">
        <table class="bordered">
            <thead>
                <tr>
                    <th>Domain</th>
                    <th>Idioma</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                {% for obj in objs %}
                <tr>
                    <td><a href="{% url 'webs_dashboard' obj.pk %}" title="Detalles">{{obj.domain}}</a></td>
                    <td>{{obj.language}}</td>
                    <td>
                        <a href="{{obj.get_protocol_display}}{{obj.full_domain}}" target="_blank" class="green-text"><i class="fa fa-globe"></i></a> <a href="{{obj.get_protocol_display}}{{obj.full_domain}}/?level=6" target="_blank" title="Limpiar cache" class="red-text"><i class="fa fa-refresh"></i></a> <a href="{{obj.get_protocol_display}}{{obj.full_domain}}/start.php?c={{obj.code}}&a={{obj.pk}}" target="_blank" title="Publicar"><i class="fa fa-cloud-upload"></i></a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        <ul class="pagination center">
        {% for num in objs.paginator.page_range %}
            {% ifequal num objs.number %}
            <li class="active"><a href="#!">{{ num }}</a></li>
            {% else %}
            <li class="waves-effect"><a href="?page={{ num }}">{{ num }}</a></li>
            {% endifequal %}
        {% endfor %}
          </ul>
  </div>
</div>
<div class="fixed-action-btn">
    <a class="btn-floating btn-large blue darken-2" href="{% url 'webs_new'  %}" title="Agregar">
        <i class="fa fa-plus"></i>
    </a>
</div>
{% endblock %}